# List Workspace Permission Assignments

`GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/permissionassignments`

Get the permission assignments for the specified <Account> and <Workspace>.

API scopes: access-management

## Path parameters

- `account_id` (string, optional)
  The account ID.
- `workspace_id` (int64, optional)
  The workspace ID for the account.

## Returns

- `permission_assignments` (array of object, optional)
  Array of permissions assignments defined for a workspace.
  - `principal` (object, optional)
    Information about the principal assigned to the workspace.
    - `user_name` (string, required)
      The username of the user. Present only if the principal is a user.
    - `group_name` (string, required)
      The group name of the group. Present only if the principal is a group.
    - `service_principal_name` (string, required)
      The name of the service principal. Present only if the principal is a service principal.
    - `principal_id` (int64, optional)
      The unique, opaque id of the principal.
    - `display_name` (string, optional)
      The display name of the principal.
  - `permissions` (array of string, optional)
    The permissions level of the principal.
    Possible values: `UNKNOWN`, `USER`, `ADMIN`
  - `error` (string, optional)
    Error response associated with a workspace permission assignment, if any.

## Response

```json
{
  "permission_assignments": [
    {
      "principal": {},
      "permissions": [
        "string"
      ],
      "error": "string"
    }
  ]
}
```

